Bug 546251 - [RHEL4.5] select() cannot return in UDP/UNIX domain socket
Summary: [RHEL4.5] select() cannot return in UDP/UNIX domain socket
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Flavio Leitner
QA Contact: Network QE
URL:
Whiteboard:
Depends On:
Blocks: 640117
TreeView+ depends on / blocked
 
Reported: 2009-12-10 14:39 UTC by Flavio Leitner
Modified: 2018-11-14 20:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-16 15:17:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 15:14:55 UTC

Description Flavio Leitner 2009-12-10 14:39:46 UTC
Description of problem:

UDP/UNIX domain socket have the same problem of bz#494404

The following patch fix the problem:
diff --git a/net/core/datagram.c b/net/core/datagram.c
index b422d9b..752d721 100644
--- a/net/core/datagram.c
+++ b/net/core/datagram.c
@@ -455,7 +455,7 @@ unsigned int datagram_poll(struct file *file, struct socket *sock,
        struct sock *sk = sock->sk;
        unsigned int mask;

-       poll_wait(file, sk->sk_sleep, wait);
+       sock_poll_wait(file, sk->sk_sleep, wait);
        mask = 0;

        /* exceptional events? */


which is part of the upstream commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=a57de0b4336e48db2811a2030bb68dba8dd09d88

Version-Release number of selected component (if applicable):
RHEL4.5 or newer

Additional info:
The test kernel available in brew with good feedback from customer.
https://brewweb.devel.redhat.com/taskinfo?taskID=2133939

Comment 5 Vivek Goyal 2010-10-05 15:48:48 UTC
Committed in 89.39.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 13 errata-xmlrpc 2011-02-16 15:17:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html


Note You need to log in before you can comment on or make changes to this bug.